Subject: Re: bug#64055: [WIP Patch] Enable editing commit messages - vc-git-modify-change-comment

From: Eli Zaretskii <[email-masked]>
Date: Fri, 18 Oct 2024 08:26:09 +0300

> Cc: Morgan Smith <[email-masked]>, Robert Pluim <[email-masked]>,
>  Dmitry Gutov <[email-masked]>
> From: Sean Whitton <[email-masked]>
> Date: Thu, 17 Oct 2024 21:27:10 +0800
> 
> Hello,
> 
> On Thu 10 Oct 2024 at 10:48am +08, Sean Whitton wrote:
> 
> > I would appreciate opinions comparing adding a new get-change-comment
> > VC backend function with something like the WIP I posted.
> 
> I went with adding a backend function.  That's now on master.  With the
> other changes I've made, I believe that all that remains for this bug is
> implementing vc-git-modify-change-comment based on our discussion.

Thanks.

The commit log message for the changes doesn't mention the bug number;
please always remember to do that in the future.  In this case, the
discussion leading to the change is long and significant, so including
a pointer to it is important for future forensics.

More importantly, why are we installing changes in VC that are
supported by a single backend?  This is against the VC design
principles.  Let's please install soon implementations for other
relevant backends.  I think this should be very simple, but if you
need help for some backends, feel free to ask for it.

Btw, since CVS has an existing command-line option to amend the log
message of a particular commit, I wonder whether the design that goes
through a separate backend function which extracts the comment first
is valid.